/* Eliana Cohen */
#include <Servo.h>

Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position

int inPin = 2; // pin number that reads the tilt sensor
int switchstate = LOW;


int LEDstate = HIGH; // the current state of the output pin
int reading; // the current reading from the input pin
int previous = LOW; // the previous reading from the input pin

// the follow variables are long's because the time, measured in milliseconds,
// will quickly become a bigger number than can be stored in an int.
long time = 0; // the last time the output pin was toggled
long debounce = 50; // the debounce time, increase if the output flickers

void setup() {
  Serial.begin(9600);
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
  pinMode(inPin, INPUT); 
  digitalWrite(inPin, HIGH); // turn on the built in pull-up resistor
}

void loop() {
  read_tilt();
  Serial.println(switchstate);
  if (switchstate == HIGH)
    forward();
  else
    backwards();
}

void read_tilt() {
  reading = digitalRead(inPin);

  // If the switch changed, due to bounce or pressing...
  if (reading != previous) {
    // reset the debouncing timer
    time = millis();
  } 

  if ((millis() - time) > debounce) {
    // whatever the switch is at, its been there for a long time
    // so lets settle on it!
    switchstate = reading;
  }
  // Save the last reading so we keep a running tally
  previous = reading;
}
void forward() {

    myservo.write(180);                         
}

void backwards() {
    myservo.write(0);                            
}
